module.exports = {
  development: {
    app: {
      name: 'Project Page Manager',
      port: process.env.PORT || 8888
    },
    passport: {
      strategy: 'saml',
      saml: {
        path: process.env.SAML_PATH || '/saml/SSO',
        entryPoint: process.env.SAML_ENTRY_POINT || 'https://m4lab.hft-stuttgart.de/idp/saml2/idp/SSOService.php',
        issuer: 'sp-project.m4lab.hft-stuttgart.de',
        logoutUrl: 'https://m4lab.hft-stuttgart.de/idp/saml2/idp/SingleLogoutService.php'
      }
    },
    database: {
      user: 'DBManager',          // DB username
      password: 'Stuttgart2019',  // DB password
      port: 3306,                 // MySQL port
      dbUser: 'userdb',           // User DB
      host_project: 'localhost', // local
      dbProject: 'projectDB'     // Project DB
    },
    mailer: {
      host: 'mail.hft-stuttgart.de',  // hostname
      secureConnection: false,        // TLS requires secureConnection to be false
      port: 587,                      // port for secure SMTP
      authUser: 'ad\\support-transfer',
      authPass: '6laumri2',
      tlsCiphers: 'SSLv3',
      from: 'support-transfer@hft-stuttgart.de',
    }
  },
  testing: {
    app: {
      name: 'Project Page Manager',
      port: process.env.PORT || 8888
    },
    passport: {
      strategy: 'saml',
      saml: {
        path: process.env.SAML_PATH || '/saml/SSO',
        entryPoint: process.env.SAML_ENTRY_POINT || 'https://m4lab.hft-stuttgart.de/idp/saml2/idp/SSOService.php',
        issuer: 'sp-project-testing.m4lab.hft-stuttgart.de',
        logoutUrl: 'https://m4lab.hft-stuttgart.de/idp/saml2/idp/SingleLogoutService.php'
      }
    },
    database: {
      host: 'transfer.hft-stuttgart.de',      	  // DB host
      user: 'DBManager',          // DB username
      password: 'Stuttgart2019',  // DB password
      port: 3306,                 // MySQL port
      dbUser: 'userdb',           // User DB
      host_project: 'm4lab.hft-stuttgart.de', // DB host project db
      dbProject: 'projectDB'     // Project DB
    },
    mailer: {
      host: 'mail.hft-stuttgart.de',  // hostname
      secureConnection: false,        // TLS requires secureConnection to be false
      port: 587,                      // port for secure SMTP
      authUser: 'ad\\support-transfer',
      authPass: '6laumri2',
      tlsCiphers: 'SSLv3',
      from: 'support-transfer@hft-stuttgart.de',
    }
  },
  production: {
    // to be defined
  }
}
